@charset "UTF-8";
/*
    Template: swell
    Theme Name: SWELL CHILD
    Theme URI: https://swell-theme.com/
    Description: SWELLの子テーマ
    Version: 1.0.0
    Author: LOOS WEB STUDIO
    Author URI: https://loos-web-studio.com/

    License: GNU General Public License
    License URI: http://www.gnu.org/licenses/gpl.html
*/

/*
Theme Name: SWELL Child
Template: swell
*/
/* ==========================
   Variables
========================== */

:root{
--color-fonts:#000F0A;
--color-main:#00A86B;
--color-bg:#FBFAFB;
--color-accent:#A7F3D0;
--color-line:#D9D9D9;
	--table-border:#D9D9D9;
	--color_border--table:#D9D9D9;
--space-sm: clamp(12px, 0.75rem + 0.5vw, 16px);
--space-md: clamp(16px, 1rem + 1vw, 24px);
--space-lg: clamp(24px, 1.5rem + 2vw, 40px);
--space-xl: clamp(40px, 2rem + 4vw, 80px);
}

body{
  font-family:  "Work Sans","Noto Sans JP", sans-serif;
  font-optical-sizing: auto;
  letter-spacing: 0em;
  color: var(--color-fonts);
}

/* タブレット時（959px以下） */
@media screen and (max-width: 959px) {
    .sample-text {
        font-size: 18px;
    }
}

/* スマホ時（599px以下） */
@media screen and (max-width: 599px) {
    .sample-text {
        font-size: 16px;
    }
}

/* ==========================
   Base
========================== */
.post_content p{
 font-size:16px;
 line-height:1.7;
 letter-spacing:.03em;

}
.swell-block-columns{
  margin-bottom: var(--space-lg);
}
.wp-block-group{
  margin: var(--space-xl) 0;
}
.p-blogParts .wp-block-group{
  margin-bottom: var(--space-xl) 0;
}
.swell-block-fullWide{
  padding: var(--space-xl) 0 !important;
  margin-bottom: 0;
}
.p-blogParts{
	 margin: var(--space-xl) 0;
}
.w-header__item .p-blogParts {
  margin: 0;
}

/* ==========================
   Heading
========================== */
body .page .post_content h2.wp-block-heading {
  font-size: clamp(24px, calc(100vw * 36 / 1280), 36px);
  margin-bottom: var(--space-lg) !important;
  margin-top: 0;
}
body .page .post_content h2.wp-block-heading .mininote {
  font-size: clamp(14px, calc(100vw * 20 / 1280), 20px);
  color: var(--color-main);
}

body .page .post_content h3.wp-block-heading{
 font-size: clamp(20px, calc(100vw * 24 / 1280), 24px);
 margin-top: 0;
 margin-bottom:28px;

}


/* ==========================
   Component
========================== */
.swell-block-button{
  margin-top: var(--space-lg);
}
.post_content td, .post_content th {
    border: 1px solid var(--color_border--table) !important;
    padding: .5em;
}

/* table */
table tr{
	border: 1px solid var(--color-line ) !important;
}

/* cta */
.cta {
  position: relative;
  overflow: hidden;
  background-color: var(--color-main);
  border-radius: 20px;
  padding: 56px 24px;
}

.cta::before,
.cta::after {
  content: "";
  position: absolute;
  display: block;
  width: 150px;
  height: 150px;
  border-radius: 50%;
  background-color: rgba(0, 0, 0, 0.08);
  pointer-events: none;
}

.cta::before {
  top: -35px;
  left: -50px;
  z-index: 100;
}

.cta::after {
  right: -45px;
  bottom: -55px;
	  z-index: 0;
}

.cta > * {
  position: relative;
  z-index: 1;
}

.cta .wp-block-heading {
  color: #fff;
  font-size: clamp(18px, calc(100vw * 36 / 1280), 36px) !important;
}

.cta .swell-block-button .swell-block-button__link {
  background-color: #fff;
  color: var(--color-main);
}




/* ==========================
  Header
========================== */
.w-header__inner .swell-block-button{
	margin-bottom: 0;
}
/* ==========================
   TOP Page
========================== */
/* メインビジュアル */
.custom-fv {
  background: var(--color-bg);
  padding: 0 16px;
  margin-left: calc(50% - 50vw);
  margin-right: calc(50% - 50vw);
  overflow: hidden;
}

.custom-fv__inner {
  display: grid;
  grid-template-columns: 55% 45%;
  align-items: center;
  justify-content: center;
 max-width: 1152px;
  margin: 0 auto;
}

.custom-fv__title {
  margin: 0;
  font-weight: 800;
  line-height: 1.28;
  letter-spacing: 0;
}
.custom-fv__title p{
  display: flex;
  align-items: baseline;
}
.custom-fv__title span {
  display: block;
}

.custom-fv__title-small {
    font-size: clamp(36px, calc(100vw * 46/ 1280), 46px);
}

.custom-fv__title-large {
  font-size: clamp(48px, calc(100vw * 60 / 1280), 60px);
  color: var(--color-main);
}

.custom-fv__text {
  margin: 34px 0 0;
  color: #111;
  font-size: 15px;
  font-weight:400;
  line-height: 1.75;
  letter-spacing: 0.03em;
}

.custom-fv__buttons {
  display: flex;
  gap: var(--space-sm);
  margin-top: 34px;
}

.custom-fv__button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 1var(--space-xl);
  min-height: 58px;
  border-radius: 999px;
  font-size: 15px;
  font-weight: 700;
  text-decoration: none;
}

.custom-fv__button--primary {
  background: #168263;
  color: #fff;
}

.custom-fv__button--outline {
  border: 1px solid #168263;
  color: #168263;
  background: transparent;
}

.custom-fv__visual img {
  display: block;
  width: 100%;
  /* max-width: 250px; */
  height: auto;
  margin: 0 auto;
} 

@media (max-width: 640px) {
  .custom-fv__buttons {
    flex-direction: column;
  }
    .custom-fv__inner {
    grid-template-columns: 1fr;
    /* gap: var(--space-lg);
    max-width: 420px; */
  }

  .custom-fv__button {
    width: 100%;
  }
  .custom-fv__content{
    order: 2;
  }
  .custom-fv__visual{
    order: 1;
  }
  .custom-fv__title p{
    width: 100%;
    justify-content: center;
    text-align: center;
  }
  .custom-fv__text{
    text-align: center;
  }
}
/* 流れる文字 */
.energy-ticker {
  width: 100vw;
  margin-left: calc(50% - 50vw);
  overflow: hidden;
  white-space: nowrap;
  margin-top:80px;
}

.energy-ticker__img {
  display: block !important;
  /* width: clamp(360px, 54.6875vw, 700px) !important; */
  width: 100%;
  max-width: none !important;
  height: auto !important;
  animation: energy-flow-left 25s linear infinite;
  object-fit: cover;
}

@keyframes energy-flow-left {
  from {
    transform: translateX(100vw);
  }
  to {
    transform: translateX(-100%);
  }
}
@media (max-width: 599px) {
  .energy-ticker {
  margin-top:0px;
}
  .energy-ticker__img {
  width: 180%;
  }
}
/* 4つの強み */
.strengh-section{
  padding: var(--space-xl);
}
.worries-item{
  background-color: var(--color-bg);
  border: 1px solid var(--color-main);
  padding: 16px;
  border-radius: 10px;
}
body .page .post_content h2.wp-block-heading.strengths-ttl {
  margin-bottom: 10px !important;
}
.strengths-card-list{
  margin-top: 0px;
}
.strengths-card-list .wp-block-columns{
    background-color: var(--color-bg);
    border: solid 1px var(--color-accent);
    border-radius: 10px;
    padding: 36px;
    margin-bottom: var(--space-sm);
}
.strengths-card-list h3{
  font-size: clamp(18px, calc(100vw * 20 / 1280), 20px);
}
.strengths-card-list img{
     border-radius: 10px;
}
@media screen and (max-width: 959px) {
    .strengh-section{
      padding-right: 16px !important;
      padding-left: 16px !important;;
    }
    .strengh-section .swell-block-fullWide__inner{
      padding: 0;
    }
    .strengths-card-list .wp-block-columns{
      padding: 24px;
    }
    .strengths-card-list h3{
      text-align: center;
  }
}
@media (max-width: 599px) {

}

/* 対応可能物件 */
.property-wrapper .swell-block-columns__inner{
    justify-content: center;
}
.property-wrapper .swell-block-column{
    background-color: #fff;
    border: 1px solid var(--color-line);
    border-radius: 10px;
    padding: var(--space-sm) !important;
    max-width: 290px;
    /* margin-left: 0 !important; */
}

/* 制作プラン */
.plan-section .wp-block-group{
  margin-bottom:24px !important;
}
.plan-box{
  background-color: #F0F7F5;
  border-radius: 10px;
  padding: var(--space-lg);
  margin-top: 0;
  margin-bottom: 24px !important;
}
/* 料金プラン */
.price-box-wrap{
  gap: 0 !important;
  max-width: 760px;
  margin: 0 auto;
}
.price-box-wrap .wp-block-column{
  background-color: #fff;
  border-top: 1px solid var(--color-line);
  border-bottom: 1px solid var(--color-line);
  border-left: 1px solid var(--color-line);
  padding: var(--space-sm) 0;
}
.price-box-wrap .wp-block-column:first-of-type{
  border-radius: 10px 0 0 10px;
}
.price-box-wrap .wp-block-column:last-of-type{
  border-right: 1px solid var(--color-line);
  border-radius: 0 10px 10px 0;
}
.price-box-wrap .wp-block-column h4{
  font-size: clamp(18px, calc(100vw * 18/ 1280), 18px);
  margin-top: 0;
  margin-bottom: 20px;
}
.price-box-wrap .wp-block-column p{
  font-size: clamp(24px, calc(100vw * 28 / 1280), 28px);
}
@media screen and (max-width: 959px) {
  .price-box-wrap .wp-block-column{
    border-top: 1px solid var(--color-line);
    border-right: 1px solid var(--color-line);
    border-left: 1px solid var(--color-line);
    border-bottom: none;
  }
  .price-box-wrap .wp-block-column:first-of-type{
  border-radius: 10px 10px 0 0px;
}
.price-box-wrap .wp-block-column:last-of-type{
  border-radius: 0 0 10px 10px;
   border-bottom: 1px solid var(--color-line);
}
}

/* プラン内容 */
.price-include-list{
  background-color: #fff;
  border: 1px solid var(--color-line);
  border-radius: 10px;
  padding: 32px;
}
.price-include-list p{
  border-bottom: 1px solid var(--color-line);
  padding-bottom: 8px;
  margin-bottom:8px;
}
.price-include-list p::before
/* .price-include-item::before*/ { 
  content: "";
  display: inline-block;
  width: 18px;
  height: 18px;
  margin-right: 8px;
  vertical-align: -3px;
  background: url("http://shoenelab.co.jp/wp-content/uploads/2026/05/simple-line-icons_check.png") center / contain no-repeat;
}
@media screen and (max-width: 959px) {
  .wp-block-columns.price-include-list{
    gap:8px !important;
  }
}

/* 私たちの考え */
.section-philosophy .swell-block-fullWide__inner{
  padding:0 24px;
}



/* ==========================
   当社について
========================== */
.our-service-box-wrap {
 gap: 16px !important;
}
.our-service-box-wrap .wp-block-column{ 
  background-color: #fff;
  border: 1px solid var(--color-line);
  border-radius:10px;
  padding: var(--space-sm) 0;
}
.our-service-box-wrap h3.wp-block-heading{
  margin-bottom: 20px !important;
}

/* ==========================
   投稿ページ
========================== */
.single h2:not(.section-title2):not(.c-bottomSection__title) {
  padding: 1rem 2rem;
  background-color: var(--color-main);
  color:#fff
}

.single h3 {
  padding: 1rem 2rem;
  border-left: 4px solid var(--color-main);
}
.single
.swell-block-columns__inner
.swell-block-column:first-child
.swell-block-button {
    display: flex;
    justify-self: end;
    margin-right: 0;
}
.single
.swell-block-columns__inner
.swell-block-column:last-child
.swell-block-button {
	  display: flex;
    justify-self: start;
    margin-left: 0;
}
@media (max-width: 640px) {
  .single
.swell-block-columns__inner
.swell-block-column:first-child
.swell-block-button {
    display: flex;
    justify-self: center;
    margin-right: auto;
}
.single
.swell-block-columns__inner
.swell-block-column:last-child
.swell-block-button {
	  display: flex;
    justify-self: center;
    margin-left: auto;
}
  }
/* ==========================
   対応可能物件・実績例
========================== */
.wp-block-table thead {
    border-bottom: 1px solid !important;
}

/* ==========================
   制作プラン・お取引の流れ
========================== */
.swell-block-step__item{
  background-color: var(--color-bg);
  border-radius: 10px !important;
  border-bottom: none !important;
  border-top: none !important;
  margin-bottom: 15px !important;
}
.is-style-big>.swell-block-step__item:before{
  border-top: 12px solid var(--color-main);
}
.swell-block-step__number{
  color: white !important;
  background-color: var(--color-main);
  width: 40px !important;
  height: 40px !important;
  padding: 10px;
  border-radius: 50% !important;
}


/* ==========================
  お見積もりフォーム
========================== */
form p label{
  /* display: grid;
 grid-template-columns: 20% 80%; */
 align-items: center;
  margin-bottom: 24px;
}
.required-label {
  display: inline-block;
  margin-left: 0.5em;
  padding: 0.15em 0.45em;
  font-size: 0.75em;
  line-height: 1;
  color: #fff;
  background: #c00;
  border-radius: 3px;
  vertical-align: middle;
}
.wpcf7-form p label {
  display: grid;
  grid-template-columns: 12em 0.7fr;
  column-gap: 1.5em;
  align-items: center;
}

.wpcf7-form p label br {
  display: none;
}

.required-label {
  display: inline-block;
  margin-left: 0.6em;
  padding: 0.25em 0.5em;
  font-size: 12px;
  line-height: 1;
  color: #fff;
  background: var(--color-main);
  border-radius: 3px;
  vertical-align: middle;
}

.wpcf7-form-control-wrap {
  width: 100%;
}

.wpcf7-form input[type="text"],
.wpcf7-form input[type="tel"],
.wpcf7-form input[type="email"],
.wpcf7-form select,
.wpcf7-form textarea {
  width: 100%;
  box-sizing: border-box;
}
@media (max-width: 767px) {
  .wpcf7-form p label {
    display: block;
  }

  .wpcf7-form p label br {
    display: block;
  }
}

button, input, select, textarea{
  background-color: var(--color-bg);
  color: var(--color-fonts);
}
/* 送信ボタン */
.wpcf7-form input[type="submit"]{
  background-color: var(--color-main);
  color: #fff;
  padding: 8px 24px;
  border-radius: 50px;
  width: 240px;
}
.wpcf7-form input[type="submit"]:hover{
  background-color: #008F5B ;
  cursor: pointer;
}
.wpcf7-form p:has(.wpcf7-submit) {
  text-align: center;
  margin-top: 48px;
}

/* 戻るボタン */
.wpcf7-form input.wpcf7-previous[type="button"][value="戻る"] {
  background-color: var(--color-bg);
  border: 1px solid var(--color-main);
  color: var(--color-main);
  border-radius: 50px;
  padding: 8px 24px;
  width: 240px;
  margin-bottom: var(--space-lg);
}
.wpcf7-form input.wpcf7-previous[type="button"][value="戻る"]:hover {
  background-color: #F1EEF1 ;
}

.wpcf7-spinner{
  display: none;
}
